apiVersion: argoproj.io/v1alpha1
kind: Rollout
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"argoproj.io/v1alpha1","kind":"Rollout","metadata":{"annotations":{},"labels":{"app.kubernetes.io/instance":"guestbook-canary","ksonnet.io/component":"guestbook-ui"},"name":"guestbook-canary","namespace":"default"},"spec":{"minReadySeconds":10,"replicas":5,"selector":{"matchLabels":{"app":"guestbook-canary"}},"strategy":{"canary":{"maxSurge":1,"maxUnavailable":0,"steps":[{"setWeight":20},{"pause":{"duration":30}},{"setWeight":40},{"pause":{}}]}},"template":{"metadata":{"labels":{"app":"guestbook-canary"}},"spec":{"containers":[{"image":"gcr.io/heptio-images/ks-guestbook-demo:0.1","name":"guestbook-canary","ports":[{"containerPort":80}]}]}}}}
    rollout.argoproj.io/revision: '1'
  clusterName: ''
  creationTimestamp: '2019-05-01T21:55:30Z'
  generation: 1
  labels:
    app.kubernetes.io/instance: guestbook-canary
    ksonnet.io/component: guestbook-ui
  name: guestbook-canary
  namespace: default
  resourceVersion: '955764'
  selfLink: /apis/argoproj.io/v1alpha1/namespaces/default/rollouts/guestbook-canary
  uid: d6105ccd-6c5b-11e9-b8d7-025000000001
spec:
  minReadySeconds: 10
  replicas: 5
  selector:
    matchLabels:
      app: guestbook-canary
  strategy:
    canary:
      maxSurge: 1
      maxUnavailable: 0
      steps:
        - setWeight: 20
        - pause:
            duration: 30
        - setWeight: 40
        - pause: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: guestbook-canary
    spec:
      containers:
        - image: 'gcr.io/heptio-images/ks-guestbook-demo:0.1'
          name: guestbook-canary
          ports:
            - containerPort: 80
          resources: {}
status:
  HPAReplicas: 5
  availableReplicas: 5
  blueGreen: {}
  canary:
    stableRS: 84ccfddd66
  conditions:
    - lastTransitionTime: '2019-05-01T21:55:30Z'
      lastUpdateTime: '2019-05-01T21:55:58Z'
      message: ReplicaSet "guestbook-canary-84ccfddd66" has successfully progressed.
      reason: NewReplicaSetAvailable
      status: 'True'
      type: Progressing
    - lastTransitionTime: '2019-05-01T21:55:58Z'
      lastUpdateTime: '2019-05-01T21:55:58Z'
      message: Rollout has minimum availability
      reason: AvailableReason
      status: 'True'
      type: Available
  currentPodHash: 84ccfddd66
  currentStepHash: 5f8fbdf7bb
  currentStepIndex: 4
  observedGeneration: c45557fd9
  readyReplicas: 5
  replicas: 5
  selector: app=guestbook-canary
  updatedReplicas: 5